summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/leave/leave-20100918-r1.ebuild')
-rw-r--r--app-misc/leave/leave-20100918-r1.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/app-misc/leave/leave-20100918-r1.ebuild b/app-misc/leave/leave-20100918-r1.ebuild
new file mode 100644
index 00000000000..88f50869253
--- /dev/null
+++ b/app-misc/leave/leave-20100918-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="FreeBSD command-line tool that reminds you when its time to leave"
+HOMEPAGE="http://www.freebsd.org/cgi/cvsweb.cgi/src/usr.bin/leave/"
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-fix-makefile.diff"
+)
+
+src_compile() {
+ cp -v "${FILESDIR}/README" . || die
+ emake \
+ CC="$(tc-getCC)" \
+ CFLAGS="${CFLAGS}" \
+ LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ dobin "${PN}"
+ doman "${PN}.1"
+ einstalldocs
+}